overrides: coala.yaml

name: coala-pyannotate
description: A bear that auto-generate PEP-484 annotations using pyannotate
url: https://gitlab.com/samuelpiltch/coala-pyannotate
author: Samuel Piltch
contact: samuelpiltch@gmail.com
license: MIT
version: 0.1
release: 0.1
build_version: 0.1
package_module: pyannotate_bear
docs_output_dir: docs
ci_directory: .ci
docs_source_dir: ./
docs_toc: false
zip_safe: false
python_versions:
  - 3.4.4
  - 3.5
  - 3.6
test_with_alpine: false

entry_points:
  coalabears:
    - coala_pyannotate = pyannotate_bear

dependencies:
  - git+https://github.com/coala/coala#egg=coala
  - git+https://github.com/coala/coala-bears.git@#egg=coala-bears
  - git+https://github.com/dropbox/pyannotate.git#egg=pyannotate

packages:
  - pyannotate_bear

configuration:
  template_dir:
    - ../coala-mobans/templates/
    - ../coala-mobans/assets/
  configuration: .moban.yaml
  configuration_dir: ../coala-mobans/

copy:
  - docs-requirements.txt: docs/docs-requirements.txt
  - docs/_static/images/coala_logo.svg: docs/images/coala_logo.svg
  - docs/_static/images/coala-header.png: docs/images/coala-header.png
  - docs/.gitignore: docs/.gitignore
  - docs/Makefile: docs/Makefile
  - docs/make.bat: docs/make.bat
  - docs/_static/custom.css: docs/custom.css

targets:
  - .gitignore: coala-gitignore.jj2
  - setup.py: coala-setup.py.jj2
  - .gitlab-ci.yml: ci/gitlab-ci.yml.jj2
  - pyannotate_bear/VERSION: VERSION.jj2
  - requirements.txt: requirements.txt.jj2
  - test-requirements.txt: test-requirements.txt.jj2
  - .ci/check_moban.sh: ci/check_moban.sh
